; Configuration file for Duet 3 (firmware version 3.3)
; executed by the firmware on start-up
;
; generated by RepRapFirmware Configuration Tool v3.3.10 on Mon Mar 14 2022 19:57:00 GMT+0100 (heure normale d’Europe centrale)

; General preferences
G90                                   ; send absolute coordinates...
M83                                   ; ...but relative extruder moves
M453				      ; Put the machine into CNC Modes
M550 P"ooza"                          ; set printer name

; Drives
M569 P0.1 S1                          ; physical drive 0.0 goes BACKWARDS X
M569 P0.2 S1                          ; physical drive 0.1 goes FORWARDS Y1
M569 P0.4 S1                          ; physical drive 0.2 goes FORWARDS Y2
M569 P0.3 S1                          ; physical drive 0.3 goes BACKWARDS Z
M584 X0.1 Y0.2:0.4 Z0.3               ; set drive mapping
M350 X16 Y16 Z16 I1                   ; configure microstepping with interpolation
M92 X400.00 Y400.00 Z400.00           ; set steps per mm
M566 X500.00 Y500.00 Z500.00          ; set maximum instantaneous speed changes (mm/min)
M203 X2500.00 Y2500.00 Z2500.00       ; set maximum speeds (mm/min)
M201 X150.00 Y150.00 Z150.00          ; set accelerations (mm/s^2)
M906 X2400 Y2400 Z2400 I100           ; set motor currents (mA) and motor idle factor in per cent


; Axis Limits
M208 X0 Y0 Z0 S1                       ; set axis minima
M208 X798 Y1300 Z103 S0                ; set axis maxima

; Endstops
M574 X1 S1 P"!io6.in"                  ; configure switch-type (e.g. microswitch) endstop for low end on X via pin io0.in
M574 Y2 S1 P"!io8.in"                  ; configure switch-type (e.g. microswitch) endstop for HIGH end on Y via pin io1.in
M574 Z2 S1 P"!io7.in"                  ; configure switch-type (e.g. microswitch) endstop for HIGH end on Z via pin io2.in

; Spindle
;M950 R0 C"vfd" L0:25000 Q1000 ; Create spindle index 0
;M563 P1 S"Spindle 1" R0 ; Create tool 1 with spindle 0 and call it "Spindle 1"
;M453
;T1 ; select tool 1
;M3 S0
;M5					;stop spindle

; Fans
;M950 F0 C"!out6" Q500 ; create fan 0 on pin out7 and set its frequency
;M106 P0 S0.5 H-1 ; set fan 0 value. Thermostatic control is turned off

; Z-Probe
;M558 K0 P8 C"!io7.in" H10 F120 T3000        ; Z probe 0 via pin io6.in
;G31 Z10.0                                   ; set current probe status

; Tools
M950 P0 C"!out1" Q65535 ; power to omega pressure regulator. sets out1 pin to be always on, basically just voltage supply
;M950 P1 C"io3.out" Q10000 ;OMEGA pressure regulator control on 3.3v pwm (io3.out)
 
M950 P2 C"out7" Q65535 ; solenoid control, on out7
M950 F0 C"out9" Q2000 ;OMEGA pressure regulator control on 5v pwm
M106 P0 C"regulator" X0.45 H-1


; Custom settings are not defined

